<template>
  <section>
    <div class="jumbotron text-center main-header">
      <div class="header-content">
        <h1 class="header-title">Prenota nel tuo ristorante preferito</h1>
        <p class="header-text">Scegli tra centinaia di ristoranti in tutta Italia quello più adatto ai tuoi gusti.</p>
      </div>
    </div>
    <div class="container items">
      <div class="row first-list">
        <div v-for="(restaurant,index) in restaurants" v-bind:key="restaurant.id" class="col-md-3">
          <div class="card" style="width: 16rem;"> 
            <img :src="'../../static/img/'+(index+1)+'.jpg'" class="card-img-top" alt="...">
            <div class="card-body">
              <h5 class="card-title"><strong>{{restaurant.name}}</strong></h5>
              <p class="card-text">Donec et velit ac arcu blandit posuere et vitae ligula. Nullam arcu sem, commodo ut erat ut, aliquam pharetra erat.</p>
                <router-link :to="{name: 'Restaurant', params: {restaurantId: restaurant.id}}" class="btn btn-danger" >Prenota</router-link>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>
<script>
export default {
  name: 'AllRestaurants',
  data () {
    return {
      restaurants: [],
    }
  },
  beforeCreate() {
    this.axios.get("http://localhost:8080/restaurants").then((response) => {
      this.restaurants = response.data
      console.log(this.restaurants)
    })
  }
}
</script>
